<html>
<head>
<LINK rel='stylesheet' href='../styles/feuille_documentation.css' type='text/css'>
<LINK rel='stylesheet' href='../styles/feuille_documentation_structure_tables.css' type='text/css'>
</head>

<body>
<html><head>
<title>Documentation pour l'application e-signets</title>
</head>
<body><center>
<h3>Documentation pour l'application e-signets</h3>
<table><tr><td align=left><ol>
<li><a href="#_section_1"><b>Synoptique</b></li>
<li><a href="#_section_2"><b>Signets actifs/en hibernation</b></li>
<li><a href="#_section_3"><b>Signets valides/invalides</b></li>
<li><a href="#_section_4"><b>Table des catgories </b></li>
<li><a href="#_section_5"><b>Table des signets</b></li>
</td></tr></table>
</center>
<ol>
<li><a name="_section_1"><h3>Schma synoptique de l'application </h3>
<p></p>
<img src=schema.jpg >
<P></p></li>
<li><a name="_section_2"><h3>Signets actifs/en hibernation </h3>
Principe : 2 tables pour la totalit des signets et leur classement.
Les deux tables sont lies, pour chaque enregistrement de la table
des signets correspond un enregistrement unique de la table des
catgories.
<br /><br />Double tat :
<br />
<br />Un signet est soit
<br /> -  en hibernation : dans aucune catgorie  (cas o l'on supprime des
enregistrements de la table des catgories sans supprimer les signets appartenant  ces catgories)
<br /> -  actif : dans un groupe, une catgorie, une sous-catgorie .
<br />
<li><a name="_section_3"><h3>Signets valides / invalides </h3>
<br />Un signet est soit
<br /> -  Valide (automatique): le lien n'est pas cass et on veut l'afficher  (ce signet n'a pas encore t vrifi, 
ou a t vrifi par la vrification automatique (option du menu utilisateur "vrifier les liens actifs..."), 
et a t trouv "valide" lors de cette vrification.)
<br /> -  Valide forc: typiquement, ce lien a t considr  tort comme non-valide lors de la vrification
autmatique (cas o la page d'accueil du site renvoi sur une autre page...), puis forc valide  l'aide du menu 
"grer les liens invalides...". <br />
<b>Une fois forc valide, ce lien ne sera plus soumis  la vrification automatique</b><br /> 
<br /> -  Non-Valide : le lien est cass ou ne veut pas l'afficher, typiquement, il a t considr comme 
"cass" lors de la prcdente vrification automatique.<br />
<b>Les liens dans cet tat sont toujours soumis  la vrification automatique, et peuvent donc repasser automatiquement
dans un tat "valide (automatique)"</b><br /> 

</P>
</P></li>
<li><a name="_section_4"><h3>Table des catgories</h3>
<ul>Description :
<li>Un enregistrement par sous-catgorie,
<li>Si le nom de catgorie est identique  celui de la sous-catgorie, il s'agit d'un enregistrement de catgorie.
<li>L'identifiant unique est le "category_id", qui identifie une sous-catgorie.
<br />
</P>
<div class="requete">
<pre>"CREATE TABLE $ep_category_tablename (
		   category_id integer  auto_increment NOT NULL, 
		   category_group varchar(30) NOT NULL,
		   category_group_id integer,
		   category_group_private_flag int(1) default 1 NOT NULL,
		   category_group_column_number int(1) default 1 NOT NULL,
		   category_category varchar(30) NOT NULL,
		   category_sub_category varchar(30) NOT NULL,
		   category_description varchar (80),
		   PRIMARY KEY (category_id),
		   UNIQUE  index (category_group, category_category, category_sub_category))")</pre>			 
</div>
<br />
<table>
<tr><th>Nom</th><th>Paramtres</th><th>Description</th></tr>
<tr><td>category_id</td>
<td>integer  auto_increment NOT NULL</td>
<td>Identifiant unique de l'enregistrement</td>
</tr>
<tr>
<td>category_group</td>
<td>varchar(30) NOT NULL</td>
<td>Nom du groupe auquel appartiennent la catgorie et la sous-categorie</td>
</tr>
<tr>
<td>category_group_id</td>
<td>integer</td>
<td>Index pour le groupe</td>
</tr>
<tr>
<td>category_group_private_flag</td>
<td>integer</td>
<td>Indique si le groupe est priv ou public</td>
</tr>
<tr>
<td>category_group_column_number</td>
<td>int(1) default 1 NOT NULL</td>
<td>Numro d'emplacement de la colonne du groupe, pour affichage </td>
</tr>
<tr>
<td>category_category</td>
<td>varchar(30) NOT NULL</td>
<td>Nom de la catgorie</td>
</tr>
<tr>
<td>category_sub_category</td>
<td>varchar(30) NOT NULL</td>
<td>Nom de la sous-catgorie</td>
</tr>
<tr>
<td>category_description</td>
<td>char(1) NOT NULL</td>
<td>Description de la sous-catgorie ou de la catgorie</td>
</tr>
</table>




<li><a name="_section_5"><h3>Table des signets</h3>


<P>Description :

<br />Chaque enregistrement correspond  un signet. Chaque signet est class
dans un groupe, catgorie et sous-catgorie, ce classement si il existe est
enregistr dans un champ sous forme d'un numro qui correspond  un unique
enregistrement de la table des catgories.
<br />La validit du lien est une information enregistr,
ainsi que son appartenance ou non aux favoris.
</P>

<div class="requete">
<pre>CREATE TABLE $ep_url_tablename (
   url_id int(10) NOT NULL auto_increment,
   url_category_id integer NOT NULL,
   url_title varchar(150) NOT NULL,
   url_sub_title varchar(150) ,
   url varchar(150) NOT NULL,
   url_description text ,
   url_registerdate date,
   url_hit int(5) NOT NULL,
   url_lastaccesstime timestamp(14),
   url_approved char(1) NOT NULL,
   url_verif_flag char(1) NOT NULL,
   url_main_flag char(1) NOT NULL,
   url_hidden_description text ,
   url_favorite char(1) NOT NULL,
   url_hibernate char(1) NOT NULL,
   PRIMARY KEY (url_id),
   UNIQUE url (url, url_category_id),
   FULLTEXT (url_sub_title,url_title,url,url_description,url_hidden_description)) $isam " ;</pre>
</div>

<br />
  
<table>
<tr><th>Nom</th><th>Paramtres</th><th>Description</th></tr>
<tr>
  <td>url_id</td>
  <td>int(10) NOT NULL auto_increment</td>
  <td>Identifiant unique de l'enregistrement</td>
</tr>
<tr>
  <td>url_category_id</td>
  <td>integer NOT NULL</td>
  <td>Identifiant de la catgorie  laquelle appartient le lien</td>
</tr>
<tr>
  <td>url_title</td>
  <td>varchar(150) NOT NULL</td>
  <td>Titre</td>
</tr>
<tr>
  <td>url_sub_title</td>
  <td>varchar(150)</td>
  <td>Sous-titre</td>
</tr>
<tr>
  <td>url</td>
  <td>varchar(150) NOT NULL</td>
  <td>URL de la forme http://www.monsite.net</td>
</tr>
<tr>
  <td>url_description</td>
  <td>text</td>
  <td>Description</td>
</tr>
<tr>
  <td>url_registerdate</td>
  <td>date</td>
  <td>Date de cration de l'enregistrement</td>
</tr>
<tr>
  <td>url_hit</td>
  <td>int(5) NOT NULL</td>
  <td>Nombre d'accs (non utilis dans cette version)</td>
</tr>
<tr>
  <td>url_lastaccesstime</td>
  <td>timestamp(14)</td>
  <td>Date de dernier accs</td>
</tr>
<tr>
  <td>url_approved</td>
  <td>char(1) NOT NULL</td>
  <td>Validit du lien (non utilis dans cette version)</td>
</tr>
<tr>
  <td>url_verif_flag</td>
  <td>char(1) NOT NULL</td>
  <td>Le lien a t vrifi avec succs lors de la vrification automatique ou manuellement forc valide avec le menu prvu  cet effet
	(menu "grer les liens invalides")</td>
</tr>
<tr>
  <td>url_main_flag</td>
  <td>char(1) NOT NULL</td>
  <td>Non utilis dans cette version</td>
</tr>
<tr>
  <td>url_hidden_description</td>
  <td>text</td>
  <td>mots-cls compltant titres et description permettant de retrouver le signet par le formulaire de recherche</td>
</tr>
<tr>
  <td>url_favorite</td>
  <td>char(1) NOT NULL</td>
  <td>Lien "favori" : qui s'affiche lors de l'ouverture de l'application, ou en cliquant sur "favoris" dans le menu</td>
</tr>
<tr>
  <td>url_hibernate</td>
  <td>char(1) NOT NULL</td>
  <td>Lien en hibernation: dans la base, mais dans aucun groupe (accessible par le menu "gestion des liens en hibernation")</td>
</tr>
</table>
<?php
require ("../admin/footer.php");
?>
</body>
</html>
